PKGDIFF(8)

NAME
pkgdiff - compare the file contents of two packages.

SYNOPSIS
pkgdiff [ --help ] [ -c ] [ -a ] packagename packagename2

DESCRIPTION
pkgdiff Displays the differences in the files contained in two packages. This works with plain .tar, Slackware packages (.tgz, .tbz, .tlz, .txz), .rpm, and .deb. By default, the results will be displayed in a tree-style unified diff format.

OPTIONS

--help
    Display help for using the pkgdiff utility.

-c  Colorize the tree-style output a-la DIR_COLORS. If piping to a pager such as less, you'll need to enable displaying raw data. For example:

pkgdiff -c package-1.0-i586-1.txz package-2.0-i586-1.txz | less -r

-a  Instead of a tree-style output format, generate a simple unified diff of the package file lists.

EXAMPLES

Compare two packages and pipe the result to less:

pkgdiff package-1.0-i586-1.txz package-2.0-i586-1.txz | less

AUTHOR
Patrick J. Volkerding <volkerdi@slackware.com>

SEE ALSO
makepkg(8), removepkg(8), explodepkg(8), pkgtool(8), upgradepkg(8)